Documentation Index

Fetch the complete documentation index at: https://docs.plainid.io/llms.txt

Use this file to discover all available pages before exploring further.

Export Scope

Prev Next
Get
/api/1.0/scopes/{envId}/{scopeId}

This API call returns the managed Scope through a Scope ID.

Path parameters
envId
string (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

Example550e8400-e29b-41d4-a716-446655440000
scopeId
stringRequired

The Scope ID can be found in the Scope Details in the Platform Environment Settings.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-api
Responses
200

Scope

Expand All
object

Managed scope response envelope.

data
object
scopeId
string

Scope identifier (name). This can either be found in the Scope Settings in the Platform.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-api
description
string | null

Optional scope description.

ExampleScope used by the customer API
clientId
string | null

OAuth client identifier used by this scope.

ExampleA1B2C3D4E5F6G7H8I9J0K
responseCache
integer | null

Response cache duration in seconds.

Example0
authMethodType
string | null

Authentication method used by this scope.

Valid values[ "CLIENT_SECRET_REQUEST", "CLIENT_SECRET_HEADER", "AUTHORIZATION_JWT" ]
ExampleCLIENT_SECRET_HEADER
identityMatchingType
string | null

Identity matching mode used by this scope. The Identity Matching Type which determines the Identity Template and Entity ID to be used for Authorization Decisions.

Valid values[ "REQUEST", "MATCHERS" ]
ExampleREQUEST
claimAttributeName
string | null

Claim attribute name used for identity matching.

Examplesub
responseTemplate
string | null

Response template returned by the scope.

Example{"decision":"{{decision}}"}
itemsSeparator
string | null

Separator used for multi-value response items.

Example,
isIdpJwtContentIncluded
boolean | null

Sets whether IDP JWT content is included in the response.

Examplefalse
isMultipleIdentitiesCombination
boolean | null

Enables combining multiple Identities of different Entity Types in a single authorization request for this Scope.

Defaultfalse
Examplefalse
audience
string | null

JWT audience.

Examplecustomer-api
expireJwtInSec
integer | null

JWT expiration in seconds.

Minimum1
Maximum2147483647
Example3600
x509Certificate
string | null

X.509 certificate used by the scope.

Example-----BEGIN CERTIFICATE-----...-----END CERTIFICATE-----
secretStoreId
string | null

Secret store identifier.

Examplevault-prod
secretStoreKeyPath
string | null

Secret store key path.

Example/plainid/customer-api
secretStoreKeyName
string | null

Secret store key name.

Exampleclient-secret
applicationIds
Array of string

Application IDs linked to this Scope. At least one is required when creating a new scope.

Example[ "customer-portal" ]
string
identityMapperSets
Array of object (ManagedScopeIdentityMapperSetReference)

Identity Mapper Sets linked to this Scope. Select at least one. Ensure that if choosing multiple, that they do not originate from the same Template ID.

Example[ { "templateId": "customer", "mapperSetId": "customer-api-mappers" } ]
object

Identity mapper set reference scoped by identity template.

templateId
string

Identity template ID that manages the Mapper Set.

Examplecustomer
mapperSetId
string

Mapper Set ID.

Examplecustomer-api-mappers
secretKeys
Array of object (ManagedSecretKeyRequest)

Secret keys declared for this scope. Only keyId is accepted in import/update requests. At least one is required when creating a new scope.

object

Secret key identifier in managed scope import/update requests.

keyId
string

Secret key identifier.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
ExampleKey_1
jwtSettings
Array of object (ManagedJwtSetting)

JWT validation settings declared for this scope.

object
settingId
string

JWT setting identifier. The JWT settingID can be found in the Manage JWT Settings section in the relevant Scope when the Scope Auth Method is set to Authorization JWT. Required when the authMethodType is AUTHORIZATION_JWT.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-jwks
jwksUrl
string | null

JWKS URL.

Examplehttps://idp.example.com/.well-known/jwks.json
claims
object | null

Claims expected from the JWT.

Example{ "iss": "https://idp.example.com" }
keysRefreshInterval
integer | null

Keys refresh interval in hours.

Minimum1
Maximum24
Example6
400

Invalid request.

object
code
string
message
string
details
string
403

Missing permission for the environment.

object
code
string
message
string
details
string
404

Scope not found.

object
code
string
message
string
details
string
500

Internal Server Error

© 2024 PlainID LTD. All rights reserved.